Bug 216725 - multimedia/openshot: update to 2.2.0
Summary: multimedia/openshot: update to 2.2.0
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-02 13:08 UTC by VVD
Modified: 2019-12-11 17:59 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2017-02-02 13:08:33 UTC
Released new version of OpenShot - 2.2.0:
http://www.openshotvideo.com/2016/12/openshot-22-released-4k-video-editing.html
Comment 1 Martin Wilke freebsd_committer 2017-03-03 04:34:17 UTC
Hi,

Would you like to submit a patch?
Comment 2 VVD 2017-03-08 15:04:28 UTC
Hi,

I don't know python.
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2017-03-08 16:25:43 UTC
Python is not a problem, actually. The main problem is to build libopenshot [1] and libopenshot-audio [2] on FreeBSD - they have many linux-specific things, so I wasn't able to accomplish that. And without porting these two, we can't update OpenShot port to 2.2.0 

[1] https://github.com/OpenShot/libopenshot
[2] https://github.com/OpenShot/libopenshot-audio
Comment 4 Martin Wilke freebsd_committer 2017-04-10 14:35:56 UTC
Please open a new pr if there is any porting done.

Thanks
Comment 5 VVD 2017-04-10 15:24:40 UTC
> Not Enough Information
What information do you need?
It's PR with request to create new port.

NEWS:
Mar 31, 2017 released 2.3: http://www.openshotvideo.com/2017/03/openshot-23-released-new-transform.html
Comment 6 Martin Wilke freebsd_committer 2017-04-10 15:27:28 UTC
Well, someone need to do the work, we can put it up here https://wiki.freebsd.org/WantedPorts if you want.
Comment 7 VVD 2017-04-10 15:35:39 UTC
It's better than nothing…
So, please, add this software to "WantedPorts" list.
Thanks!
Comment 8 Martin Wilke freebsd_committer 2017-04-10 15:43:04 UTC
Done, thank you :)
Comment 9 VVD 2017-04-10 15:48:11 UTC
Typo in wiki:
libopenshopt => libopenshot
libopenshopt-audio => libopenshot-audio
Comment 10 Martin Wilke freebsd_committer 2017-04-10 15:50:20 UTC
(In reply to vvd from comment #9)

ups, fixed.
Comment 11 VVD 2019-12-11 17:59:10 UTC
(In reply to Martin Wilke from comment #10)
Done!
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=234803

Update, plz, https://wiki.freebsd.org/WantedPorts
Remove libopenshot and libopenshot-audio.